Index: [Article Count Order] [Thread]

Date:  Thu, 22 Jul 2004 20:18:03 +0900
From:  Yuuma Suda <yuuma (at mark) millenianet.jp>
Subject:  [coba-o:00741] Re: MySQLをPerlで使いたいのですが・・・
To:  coba-o (at mark) bluequartz.org
Message-Id:  <4C46FDD8DF6DByuuma (at mark) millenianet.jp>
In-Reply-To:  <40FF2352.90509 (at mark) alpha.or.jp>
References:  <40FF2352.90509 (at mark) alpha.or.jp>
X-Mail-Count: 00741

須田です。

>Blue Quartz 用の ReferenceKit には開発環境等は入れていませんのでそのまま
>ではコンパイルできないと思います.
>一番簡単な方法は,ReferenceKit の上に FC1 の MySQL 関係の RPMS を入れる
>ことで使用できると思います.
>
>mysql-3.23.58-4.i386.rpm
>mysql-bench-3.23.58-4.i386.rpm
>mysql-devel-3.23.58-4.i386.rpm
>mysql-server-3.23.58-4.i386.rpm
>perl-DBD-MySQL-2.9002-1.i386.rpm
>perl-DBI-1.37-1.i386.rpm
>
>多分これだけあれば,perl から DBI 経由で使用できると思います.
>php から使用したい場合は,
>php-mysql-4.3.3-6.i386.rpm
>を追加すれば使えるようになると思います.

ご返信いただき、ありがとうございました!
おっしゃるとおり必要なファイルをインストールしましたら無事に動きまし
た!!
ありがとうございます!助かりました。

インストールする過程でひとつ引っかかった箇所がございまして、参考のためお
知らせいたします。

perl-DBI-1.37-1.i386.rpm
perl-DBD-MySQL-2.9002-1.i386.rpm
mysql-3.23.58-4.i386.rpm
mysql-bench-3.23.58-4.i386.rpm
mysql-devel-3.23.58-4.i386.rpm
mysql-server-3.23.58-4.i386.rpm

は上記の順番で入れましたら、すべてすんなりと入りました。

あとphpMyAdminを利用しているため、phpからもアクセスできるように
php-mysql-4.3.3-6.i386.rpm
をインストールしようとしたところ

 php = 4.3.3-6 is needed by php-mysql-4.3.3-6

と依存関係でエラーが出てインストールできませんでした。
最終手段として、その依存関係を無視し、

# rpm -ivh --nodeps php-mysql-4.3.3-6.i386.rpm

でインストールするとインストールすることが出来ました。phpMyAdminもインス
トールできたおかげで正常に動いていますが、ちょっと強引なインストールだっ
たため何か弊害が出ないか心配ではありますが。


どちらにしても渋谷様とこのMLのおかげで、必要な環境を構築することが出来ま
した。本当にありがとうございました。




┏━━┳━━━━M━━i━━l━━l━━e━━n━━i━━a━━━━━━━
┃  ┃
┃  ┗┫Millenia Net   - http://www.millenianet.jp -
┃
┠──┨ミレニアネット 須田 祐馬
┠──┨〒006-0003 札幌市手稲区西宮の沢3条2丁目203-10
┠──┨TEL:011-666-0010 ... FAX:011-666-0079
┠──┨mailto:yuuma (at mark) millenianet.jp
┗━━━━━━━━━━━━━━━━━━━━━━━━━ N━━e━━t━